Opened 3 months ago

Closed 2 days ago

#57095 closed defect (fixed)

poppler-0.68.0: build failure

Reported by: andreyabramov (Andrey Abramov) Owned by: dbevans (David B. Evans)
Priority: Normal Milestone:
Component: ports Version: 2.5.3
Keywords: elcapitan Cc: Schamschula (Marius Schamschula)
Port: poppler

Description

Poppler fails to build, log file attached. Attempted the normal approach of cleaning, upgrading etc, but this didn't solve the problem. I'm running OS X 10.11.5 and I have MacPorts 2.5.3.

Attachments (1)

poppler_error_main.log (916.4 KB) - added by andreyabramov (Andrey Abramov) 3 months ago.
log file for failed build

Download all attachments as: .zip

Change History (5)

Changed 3 months ago by andreyabramov (Andrey Abramov)

Attachment: poppler_error_main.log added

log file for failed build

comment:1 Changed 3 months ago by mf2k (Frank Schima)

Cc: devans@… removed
Owner: set to dbevans
Status: newassigned

comment:2 Changed 3 months ago by Schamschula (Marius Schamschula)

Cc: Schamschula added

comment:3 Changed 3 months ago by Schamschula (Marius Schamschula)

I see the same error on 10.5.8.

comment:4 Changed 2 days ago by dbevans (David B. Evans)

Resolution: fixed
Status: assignedclosed

Sorry for overlooking this ticket. The problem here is that the poppler build fails generating Poppler-0.18.gir when a previous version is already installed and active. Apparently the CMake script allows the previously installed library version in ${prefix)/bin to override the newly created library version (in this case ../libpoppler.79.dylib, as declared in the command line). The missing symbols error occurs when there has been an API change between the previous and current library versions (often). I suspect that this in an rpath issue but haven't nailed it down completely as yet.

The current work-around is to deactivate the installed version of poppler before attempting to upgrade to the new one. Current versions of poppler (0.71+) check for this build conflict and will only proceed after the previously installed version is deactivated.

Fixed in https://github.com/macports/macports-ports/commit/3e884b3d891c5bc6c7aee8e4e8a1c8915d5ed1ff

Note: See TracTickets for help on using tickets.